<?php
namespace App\Http\Controllers\Api;

use App\Service\MayCurServerService;
use Illuminate\Http\Request;

class MayCurController extends BaseController
{
    public function getToken(Request $request){
        list($bool, $data) = (new MayCurServerService())->getToken();

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function reimburse(Request $request){
        list($bool, $data) = (new MayCurServerService())->reimburse($request->all());

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }

    public function loan(Request $request){
        list($bool, $data) = (new MayCurServerService())->loan($request->all());

        if($bool){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
